XSLTProcess.Factory.Attribute (Apache Ant API)

org.apache.tools.ant.taskdefs

## Class XSLTProcess.Factory.Attribute

- java.lang.Object
- - org.apache.tools.ant.taskdefs.XSLTProcess.Factory.Attribute

- All Implemented Interfaces:
    DynamicAttribute, DynamicConfigurator, DynamicElement
  Enclosing class:
    XSLTProcess.Factory

      public static class XSLTProcess.Factory.Attribute
      extends java.lang.Object
      implements DynamicConfigurator

  A JAXP factory attribute. This is mostly processor specific, for example for Xalan 2.3+, the following attributes could be set:
  - http://xml.apache.org/xalan/features/optimize (true|false)
  - http://xml.apache.org/xalan/features/incremental (true|false)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLTProcess.Factory.Attribute()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createDynamicElement(java.lang.String name)` Not used.
    `java.lang.String` | `getName()`
    `java.lang.Object` | `getValue()`
    `void` | `setDynamicAttribute(java.lang.String name, java.lang.String value)` Set an attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSLTProcess.Factory.Attribute

          public XSLTProcess.Factory.Attribute()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns:
        the attribute name.

    - #### getValue

          public java.lang.Object getValue()

      Returns:
        the output property value.

    - #### createDynamicElement

          public java.lang.Object createDynamicElement(java.lang.String name)
                                                throws BuildException

      Not used.
      Specified by:
        `createDynamicElement` in interface `DynamicElement`
      Parameters:
        `name` - not used
      Returns:
        null
      Throws:
        `BuildException` - never

    - #### setDynamicAttribute

          public void setDynamicAttribute(java.lang.String name,
                                 java.lang.String value)
                                   throws BuildException

      Set an attribute. Only "name" and "value" are supported as names.
      Specified by:
        `setDynamicAttribute` in interface `DynamicAttribute`
      Parameters:
        `name` - the name of the attribute
        `value` - the value of the attribute
      Throws:
        `BuildException` - on error